#include "TBufferXML.h"

void Launcher()
{
	gSystem->Load("libStreamerTest.so");

	StreamerTest* object = new StreamerTest();
	object->SetDataMember(new TString("Test"));
	
	TString xml = TBufferXML::ConvertToXML(object);
	std::cout << xml << std::endl;
	
	StreamerTest* result = (StreamerTest*)TBufferXML::ConvertFromXML(xml);
	
	std::cout << "Pointer to restored object: " << result << std::endl;
	std::cout << "Pointer to DataMember object: " << result->GetDataMember() << std::endl;
}
